Name:           lbzip2
Version:        2.2
Release:        4%{?dist}
Summary:        Fast, multi-threaded bzip2 utility
Group:          Applications/File
License:        GPLv3+
URL:            https://github.com/kjn/lbzip2
Source0:        https://github.com/downloads/kjn/%{name}/%{name}-%{version}.tar.gz
# From upstream commit afeccb9, resolves rhbz#1017957
Patch0:         %{name}-rhbz1017957.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)


%description
lbzip2 is an independent, multi-threaded implementation of bzip2. It is
commonly the fastest SMP (and uniprocessor) bzip2 compressor and
decompressor.


%prep
%setup -q
%patch0


%build
%configure
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}


%check
make check


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README
%{_bindir}/%{name}
%{_bindir}/lbzcat
%{_bindir}/lbunzip2
%doc %{_mandir}/man1/%{name}.1*
%doc %{_mandir}/man1/lbzcat.1*
%doc %{_mandir}/man1/lbunzip2.1*


%changelog
* Sun Oct 27 2013 Mikolaj Izdebski <mizdebsk@redhat.com> - 2.2-4
- Add patch to fix sefgault during decompression
- Resolves: rhbz#1017957

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Tue Aug 14 2012 Lukas Zapletal <lzap+rpm[@]redhat.com> - 2.2-1
- version bump to 2.2

* Fri Jul 27 2012 Lukas Zapletal <lzap+rpm[@]redhat.com> - 2.1-5
- new upstream release fixes gnu lib (gl1)

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed Jun 13 2012 Lukas Zapletal <lzap+rpm[@]redhat.com> - 2.1-3
- 829461 - Run unit tests during build

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Nov 24 2011 Lukas Zapletal <lzap+rpm[@]redhat.com> - 2.1-1
- update to 2.1 security release

* Tue Nov 22 2011 Lukas Zapletal <lzap+rpm[@]redhat.com> - 2.0-2
- fixing license to GPLv3+
- fixed dependencies
- better description

* Sat Nov 19 2011 Lukas Zapletal <lzap+rpm[@]redhat.com> - 2.0-1
- new package with autotools

* Thu Jun 02 2011 Lukas Zapletal <lzap+rpm[@]redhat.com> - 0.23-3
- EPEL package
- removing dash dependency

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.23-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Dec 09 2010 Lukas Zapletal <lzap+spam@redhat.com> - 0.23-2
- Updated files section and patches description

* Thu Nov 25 2010 Lukas Zapletal <lzap+spam@redhat.com> - 0.23-1
- Initial packaging done by original author Laszlo Ersek.
